Loading...
Searching...
No Matches
rpmspec.h File Reference
Building & signing packages: » Build API.
`#include <rpm/rpmstring.h>`
`#include <rpm/rpmcli.h>`
Include dependency graph for rpmspec.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | RPMBUILD_DEFAULT_LANG "C"

## Typedefs

typedef struct Package_s * | rpmSpecPkg
typedef struct Source * | rpmSpecSrc
typedef struct rpmSpecIter_s * | rpmSpecPkgIter
typedef struct rpmSpecIter_s * | rpmSpecSrcIter
typedef rpmFlags | rpmSourceFlags
typedef rpmFlags | rpmSpecFlags

## Enumerations

enum | rpmSourceFlags_e { RPMBUILD_ISSOURCE = (1 << 0) , RPMBUILD_ISPATCH = (1 << 1) , RPMBUILD_ISICON = (1 << 2) , RPMBUILD_ISNO = (1 << 3) }
enum | rpmSpecFlags_e { RPMSPEC_NONE = 0 , RPMSPEC_ANYARCH = (1 << 0) , RPMSPEC_FORCE = (1 << 1) , RPMSPEC_NOLANG = (1 << 2) , RPMSPEC_NOUTF8 = (1 << 3) , RPMSPEC_NOFINALIZE = (1 << 4) }

## Functions

rpmSpec | rpmSpecFree (rpmSpec spec)
rpmSpecPkgIter | rpmSpecPkgIterInit (rpmSpec spec)
rpmSpecPkg | rpmSpecPkgIterNext (rpmSpecPkgIter iter)
rpmSpecPkgIter | rpmSpecPkgIterFree (rpmSpecPkgIter iter)
Header | rpmSpecPkgHeader (rpmSpecPkg pkg)
char * | rpmSpecPkgGetSection (rpmSpecPkg pkg, int section)
rpmSpecSrcIter | rpmSpecSrcIterInit (rpmSpec spec)
rpmSpecSrc | rpmSpecSrcIterNext (rpmSpecSrcIter iter)
rpmSpecSrcIter | rpmSpecSrcIterFree (rpmSpecSrcIter iter)
rpmSourceFlags | rpmSpecSrcFlags (rpmSpecSrc src)
int | rpmSpecSrcNum (rpmSpecSrc src)
const char * | rpmSpecSrcFilename (rpmSpecSrc src, int full)
const char * | rpmSpecGetSection (rpmSpec spec, int section)
int | rpmspecQuery (rpmts ts, QVA_t qva, const char *arg)

## Detailed Description

The rpmSpec and Package data structures used during build.